{% if is_granted('ROLE_COMPANY') %}
    {% set base = 'client/base.html.twig' %}
{% elseif is_granted('ROLE_SCIENTIST') %}
    {% set base = 'scientist/base.html.twig' %}
{% elseif is_granted('ROLE_ADMIN') %}
    {% set base = 'admin/base.html.twig' %}
{% endif %}

{% extends base %}

{% block content %}
    <div class="row">
        <div class="col">
            <div class="page-description d-flex align-items-center">
                <div class="page-description-content flex-grow-1">
                    <h1>Changer votre mot de passe</h1>
                </div>
            </div>
        </div>
    </div>
    <div class="row pt-2">
        {% for message in app.flashes('success') %}
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong>{{ message }}</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close" style="padding-top: 25px;"></button>
            </div>
        {% endfor %}
        {% for message in app.flashes('danger') %}
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong>{{ message }}</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close" style="padding-top: 25px;"></button>
            </div>
        {% endfor %}
    </div>
    <div class="row">
        {{ form_start(form, {'attr': {'class': 'row g-3'}}) }}
        <div class="col-md-12">
            <label for="title" class="form-label">L'ancien mot de passe</label>
            {{ form_widget(form.oldPassword) }}
        </div>
        <div class="col-12">
            {{ form_widget(form.plainPassword) }}
        </div>
        <div class="col-12">
            <button type="submit" class="btn btn-primary">Changer le mot de passe</button>
        </div>
        {{ form_end(form) }}
    </div>
{% endblock %}
